Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class CollapsibleSubTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.SortingFilteringRowsRenderer
                      org.richfaces.renderkit.AbstractTableBaseRenderer
                          org.richfaces.renderkit.AbstractTableRenderer
                              org.richfaces.renderkit.CollapsibleSubTableRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.richfaces.renderkit.MetaComponentRenderer

    public class CollapsibleSubTableRenderer

extends AbstractTableRenderer

Author:
  Anton Belevich

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.AbstractTableRenderer
`AbstractTableRenderer.SimpleHeaderEncodeStrategy`

Field Summary
`static String` | `TB_ROW`

Fields inherited from class org.richfaces.renderkit.AbstractTableRenderer
`HIDDEN_CONTAINER_ID`

Fields inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer
`BREAK_ROW_BEFORE, CELL_CLASS_KEY, COLUMN_CLASS, FIRST_ROW_CLASS_KEY, ROW_CLASS, ROW_CLASS_KEY`

Constructor Summary
`CollapsibleSubTableRenderer()`

Method Summary
`boolean` | `containsThead()`
`protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`void` | `encodeAfterRows(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase, boolean encodeParentTBody, boolean partialUpdate)`
`void` | `encodeBeforeRows(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase, boolean encodeParentTBody, boolean partialUpdate)`
`void` | `encodeClientScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase component)`
`void` | `encodeFirstRowStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId, int currentRow, javax.faces.component.UIComponent component)`
`void` | `encodeHiddenInput(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String metaComponentId)`
`boolean` | `encodeParentTBody(UIDataTableBase dataTableBase)`
`void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase holder)`
`void` | `encodeRowStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId, int currentRow, javax.faces.component.UIComponent component)`
`void` | `encodeTableBodyStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase)`
`void` | `encodeTableFacets(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDataTableBase dataTable)`
`protected UIDataTableBase` | `findParent(AbstractCollapsibleSubTable subTable)`
`String` | `getCellSkinClass()`
`String` | `getColumnFooterCellSkinClass()`
`String` | `getColumnFooterFirstSkinClass()`
`String` | `getColumnFooterSkinClass()`
`String` | `getColumnHeaderCellSkinClass()`
`String` | `getColumnHeaderFirstSkinClass()`
`String` | `getColumnHeaderSkinClass()`
`String` | `getFirstRowSkinClass()`
`String` | `getFooterCellSkinClass()`
`String` | `getFooterFirstRowSkinClass()`
`String` | `getFooterFirstSkinClass()`
`String` | `getFooterSkinClass()`
`String` | `getHeaderCellSkinClass()`
`EncodeStrategy` | `getHeaderEncodeStrategy(javax.faces.component.UIComponent column, String tableFacetName)`
`String` | `getHeaderFirstRowSkinClass()`
`String` | `getHeaderFirstSkinClass()`
`String` | `getHeaderRowSkinClass()`
`String` | `getHeaderSkinClass()`
`EncodeStrategy` | `getHiddenContainerStrategy(UIDataTableBase dataTableBase)`
`String` | `getNoDataCellClass()`
`String` | `getNoDataClass()`
`String` | `getRowSkinClass()`
`String` | `getTableBodySkinClass()`
`String` | `getTableSkinClass()`

Methods inherited from class org.richfaces.renderkit.AbstractTableRenderer
`createRowHolder, decodeMetaComponent, doEncodeChildren, encodeColumnFacet, encodeFooterFacet, encodeHeaderFacet, encodeHiddens, encodeNoDataFacetOrLabel, encodeTableBodyEnd, encodeTableEnd, encodeTableFacet, encodeTableRows, encodeTableStart, encodeTableStructure, isColumnAttributeSet, isEncodeHeaders, mergeStyleClasses, partialEnd, partialStart, putRowStylesIntoContext`

Methods inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer
`encodeColumn, encodeColumnEnd, encodeColumnStart, encodeFakeRow, encodeFirstRowEnd, encodeRowEnd, encodeStyle, encodeStyleClass, getCellClass, getCellElement, getColumnsCount, getFirstRowClass, getRowClass, isEmpty, isEmptyAttr, saveRowStyles, setCellElement`

Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer
`decodeFiltering, decodeSorting, decodeSortingFiltering, updateAttribute`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TB_ROW

    public static final String TB_ROW

See Also:
  Constant Field Values

Constructor Detail

### CollapsibleSubTableRenderer

    public CollapsibleSubTableRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `AbstractTableRenderer`

### encodeFirstRowStart

    public void encodeFirstRowStart(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    String parentId,
                                    int currentRow,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `encodeFirstRowStart` in class `AbstractTableBaseRenderer`
  Throws:
    `IOException`

### encodeRowStart

    public void encodeRowStart(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               String parentId,
                               int currentRow,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Overrides:
    `encodeRowStart` in class `AbstractTableBaseRenderer`
  Throws:
    `IOException`

### encodeTableFacets

    public void encodeTableFacets(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext context,
                                  UIDataTableBase dataTable)
                           throws IOException

  Overrides:
    `encodeTableFacets` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeTableBodyStart

    public void encodeTableBodyStart(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext facesContext,
                                     UIDataTableBase dataTableBase)
                              throws IOException

  Overrides:
    `encodeTableBodyStart` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeBeforeRows

    public void encodeBeforeRows(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext facesContext,
                                 UIDataTableBase dataTableBase,
                                 boolean encodeParentTBody,
                                 boolean partialUpdate)
                          throws IOException

  Overrides:
    `encodeBeforeRows` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeRow

    public void encodeRow(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext facesContext,
                          RowHolderBase holder)
                   throws IOException

  Specified by:
    `encodeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### encodeAfterRows

    public void encodeAfterRows(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext facesContext,
                                UIDataTableBase dataTableBase,
                                boolean encodeParentTBody,
                                boolean partialUpdate)
                         throws IOException

  Overrides:
    `encodeAfterRows` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeParentTBody

    public boolean encodeParentTBody(UIDataTableBase dataTableBase)

  Specified by:
    `encodeParentTBody` in class `AbstractTableRenderer`

### encodeHiddenInput

    public void encodeHiddenInput(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext facesContext,
                                  UIDataTableBase dataTableBase)
                           throws IOException

  Specified by:
    `encodeHiddenInput` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### containsThead

    public boolean containsThead()

  Specified by:
    `containsThead` in class `AbstractTableRenderer`

### getHeaderEncodeStrategy

    public EncodeStrategy getHeaderEncodeStrategy(javax.faces.component.UIComponent column,
                                                  String tableFacetName)

  Specified by:
    `getHeaderEncodeStrategy` in class `AbstractTableRenderer`

### encodeClientScript

    public void encodeClientScript(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext facesContext,
                                   UIDataTableBase component)
                            throws IOException

  Specified by:
    `encodeClientScript` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### getTableSkinClass

    public String getTableSkinClass()

  Specified by:
    `getTableSkinClass` in class `AbstractTableRenderer`

### getRowSkinClass

    public String getRowSkinClass()

  Specified by:
    `getRowSkinClass` in class `AbstractTableRenderer`

### getFirstRowSkinClass

    public String getFirstRowSkinClass()

  Specified by:
    `getFirstRowSkinClass` in class `AbstractTableRenderer`

### getHeaderRowSkinClass

    public String getHeaderRowSkinClass()

### getHeaderFirstRowSkinClass

    public String getHeaderFirstRowSkinClass()

### getCellSkinClass

    public String getCellSkinClass()

  Specified by:
    `getCellSkinClass` in class `AbstractTableRenderer`

### getHeaderCellSkinClass

    public String getHeaderCellSkinClass()

  Specified by:
    `getHeaderCellSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderCellSkinClass

    public String getColumnHeaderCellSkinClass()

  Specified by:
    `getColumnHeaderCellSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderSkinClass

    public String getColumnHeaderSkinClass()

  Specified by:
    `getColumnHeaderSkinClass` in class `AbstractTableRenderer`

### getFooterSkinClass

    public String getFooterSkinClass()

  Specified by:
    `getFooterSkinClass` in class `AbstractTableRenderer`

### getFooterCellSkinClass

    public String getFooterCellSkinClass()

  Specified by:
    `getFooterCellSkinClass` in class `AbstractTableRenderer`

### getFooterFirstRowSkinClass

    public String getFooterFirstRowSkinClass()

### getColumnFooterCellSkinClass

    public String getColumnFooterCellSkinClass()

  Specified by:
    `getColumnFooterCellSkinClass` in class `AbstractTableRenderer`

### getColumnFooterSkinClass

    public String getColumnFooterSkinClass()

  Specified by:
    `getColumnFooterSkinClass` in class `AbstractTableRenderer`

### getColumnFooterFirstSkinClass

    public String getColumnFooterFirstSkinClass()

  Specified by:
    `getColumnFooterFirstSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderFirstSkinClass

    public String getColumnHeaderFirstSkinClass()

  Specified by:
    `getColumnHeaderFirstSkinClass` in class `AbstractTableRenderer`

### getFooterFirstSkinClass

    public String getFooterFirstSkinClass()

  Specified by:
    `getFooterFirstSkinClass` in class `AbstractTableRenderer`

### getHeaderFirstSkinClass

    public String getHeaderFirstSkinClass()

  Specified by:
    `getHeaderFirstSkinClass` in class `AbstractTableRenderer`

### getHeaderSkinClass

    public String getHeaderSkinClass()

  Specified by:
    `getHeaderSkinClass` in class `AbstractTableRenderer`

### getNoDataClass

    public String getNoDataClass()

  Specified by:
    `getNoDataClass` in class `AbstractTableRenderer`

### getNoDataCellClass

    public String getNoDataCellClass()

  Specified by:
    `getNoDataCellClass` in class `AbstractTableRenderer`

### getTableBodySkinClass

    public String getTableBodySkinClass()

  Specified by:
    `getTableBodySkinClass` in class `AbstractTableRenderer`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Overrides:
    `encodeMetaComponent` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### getHiddenContainerStrategy

    public EncodeStrategy getHiddenContainerStrategy(UIDataTableBase dataTableBase)

  Specified by:
    `getHiddenContainerStrategy` in class `AbstractTableRenderer`

### findParent

    protected UIDataTableBase findParent(AbstractCollapsibleSubTable subTable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.